id: wordpress-health-check

info:
  name: Health Check & Troubleshooting Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/health-check/
  metadata:
    plugin_namespace: health-check
    wpscan: https://wpscan.com/plugin/health-check
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/health-check/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/health-check.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402203c95cd3a89440257669b7fd4bc64cbe19dc8b75a4558ca8ab3615649c00cad7e0220716db09381fd685c92d6f5fef382e24fb2240703b2607eaa2a61f653eed06c4c:922c64590222798bb761d5b6d8e72950